'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var plateStyledComponents = require('@udecode/plate-styled-components');
var _styled = require('styled-components');
require('react');
var jsxRuntime = require('react/jsx-runtime');
var plateCodeBlock = require('@udecode/plate-code-block');
var plateCommon = require('@udecode/plate-common');
var plateCore = require('@udecode/plate-core');
var plateToolbar = require('@udecode/plate-toolbar');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var _styled__default = /*#__PURE__*/_interopDefaultLegacy(_styled);

const getCodeBlockElementStyles = props => plateStyledComponents.createStyles({
  prefixClassNames: 'CodeBlockElement',
  ...props
}, {
  root: [{
    "whiteSpace": "pre-wrap",
    "paddingTop": "0.75rem",
    "paddingBottom": "0.75rem",
    "paddingLeft": "1rem",
    "paddingRight": "1rem"
  }, _styled.css(["font-size:16px;font-family:SFMono-Regular,Consolas,Monaco,'Liberation Mono',Menlo,Courier,monospace;tab-size:2;line-height:normal;border-radius:3px;background-color:rgb(247,246,243);"])]
});

const CodeBlockElement = props => {
  const {
    attributes,
    children,
    nodeProps
  } = props;
  const {
    root
  } = getCodeBlockElementStyles(props);
  return /*#__PURE__*/jsxRuntime.jsx(_StyledPre, { ...attributes,
    className: root.className,
    ...nodeProps,
    $_css: root.css,
    children: /*#__PURE__*/jsxRuntime.jsx("code", {
      children: children
    })
  });
};

var _StyledPre = _styled__default['default']("pre").withConfig({
  displayName: "CodeBlockElement___StyledPre",
  componentId: "sc-edret1-0"
})(["", ""], p => p.$_css);

const getCodeLineElementStyles = props => plateStyledComponents.createStyles({
  prefixClassNames: 'CodeLineElement',
  ...props
}, {
  root: [{}]
});

const CodeLineElement = props => {
  const {
    attributes,
    children
  } = props;
  const {
    root
  } = getCodeLineElementStyles(props);
  return /*#__PURE__*/jsxRuntime.jsx(_StyledDiv, { ...attributes,
    className: root.className,
    $_css: root.css,
    children: children
  });
};

var _StyledDiv = _styled__default['default']("div").withConfig({
  displayName: "CodeLineElement___StyledDiv",
  componentId: "sc-11fh9za-0"
})(["", ""], p => p.$_css);

const ToolbarCodeBlock = ({
  options,
  ...props
}) => {
  const editor = plateCore.useStoreEditorState(plateCore.useEventEditorId('focus'));
  return /*#__PURE__*/jsxRuntime.jsx(plateToolbar.ToolbarElement, {
    type: plateCore.getPlatePluginType(editor, plateCodeBlock.ELEMENT_CODE_BLOCK),
    onMouseDown: editor && plateCommon.getPreventDefaultHandler(plateCodeBlock.insertEmptyCodeBlock, editor, {
      insertNodesOptions: {
        select: true
      },
      ...options
    }),
    ...props
  });
};

exports.CodeBlockElement = CodeBlockElement;
exports.CodeLineElement = CodeLineElement;
exports.ToolbarCodeBlock = ToolbarCodeBlock;
exports.getCodeBlockElementStyles = getCodeBlockElementStyles;
exports.getCodeLineElementStyles = getCodeLineElementStyles;
//# sourceMappingURL=index.js.map
